#include "squidwall.h"

int check_acl(int type)
{
	static time_t mtime_hosts, mtime_users;
	static array array_hosts, array_users;
	struct squidwall_acl *acl;
	array *a=0;
	time_t *t=0;
	char *dir;
	int i;

	switch (type) {
	case TYPE_USER:
		dir=users_dir;
		t=&mtime_users;
		a=&array_users;
		break;
	default:
		dir=hosts_dir;
		t=&mtime_hosts;
		a=&array_hosts;
		break;
	}

	if (read_acls(a, dir, t) == -1) return ACL_DEFAULT;

	for (i=0; i<array_length(a, sizeof(struct squidwall_acl)); i++) {
		acl = array_get(a, sizeof(struct squidwall_acl), i);

		switch (type) {
		case TYPE_USER:

			/* check the username */
			if (case_equals(acl->name.s, user.s)) {
				debug_s(9, "setze filter von user ", user.s);
				cfilter_user=&acl->cfilter;
				ufilter_user=&acl->ufilter;
				crfilter_user=&acl->crfilter;
				urfilter_user=&acl->urfilter;
				return acl->flags;
			}

			break;

		case TYPE_HOST:

			/* check ip */
			if (case_equals(acl->name.s, ip.s)) {
				debug_s(9, "setze filter von ip ", ip.s);
				cfilter_host=&acl->cfilter;
				ufilter_host=&acl->ufilter;
				crfilter_host=&acl->crfilter;
				urfilter_host=&acl->urfilter;
				return acl->flags;
			}

			/* check hostname */
			if (case_equals(acl->name.s, host.s)) {
				debug_s(9, "setze filter von host ", host.s);
				cfilter_host=&acl->cfilter;
				ufilter_host=&acl->ufilter;
				crfilter_host=&acl->crfilter;
				urfilter_host=&acl->urfilter;
				return acl->flags;
			}

			break;
		}
	}

	return ACL_DEFAULT;
}
