#include "squidwall.h"

extern stralloc filter;

int check_url(void)
{
	struct squidwall_string *s;
	struct squidwall_regex *r;
	int i;


	stralloc_init(&filter);

	if (ufilter_user)
	for (i=0; i<array_length(ufilter_user, sizeof(struct squidwall_string)); i++) {
		s = array_get(ufilter_user, sizeof(struct squidwall_string), i);
		if (case_strstr(squid_url, s->string.s)) {
			stralloc_copy(&filter, &s->name);
			return ACL_DENY;
		}
	}

	if (urfilter_user)
	for (i=0; i<array_length(urfilter_user, sizeof(struct squidwall_regex)); i++) {
		r = array_get(urfilter_user, sizeof(struct squidwall_regex), i);
		if (regexec(&r->regex, squid_url, 0, 0, 0) == 0) {
			stralloc_copy(&filter, &r->name);
			return ACL_DENY;
		}

	}

	if (ufilter_host)
	for (i=0; i<array_length(ufilter_host, sizeof(struct squidwall_string)); i++) {
		s = array_get(ufilter_host, sizeof(struct squidwall_string), i);
		if (case_strstr(squid_url, s->string.s)) {
			stralloc_copy(&filter, &s->name);
			return ACL_DENY;
		}
	}

	if (urfilter_host)
	for (i=0; i<array_length(urfilter_host, sizeof(struct squidwall_regex)); i++) {
		r = array_get(urfilter_host, sizeof(struct squidwall_regex), i);
		if (regexec(&r->regex, squid_url, 0, 0, 0) == 0) {
			stralloc_copy(&filter, &r->name);
			return ACL_DENY;
		}
	}

	stralloc_free(&filter);

	return ACL_ALLOW;
}
