#ifndef SW_PRAMS_H
#define SW_PRAMS_H

/*
 * all these values can be overridden by environment variables!
 */

/* this logfile will show you the denied users/hosts/pages */
#define LOG_FILE         "/var/log/squid/squidwall.log"

/* ip:port of your squid cache
 *
 * warning: this cache should not re-redirect to the redirector :)
 */
#define PROXY            "127.0.0.1:3128"

/* ip:port of clamd in TCP/IP mode */
#define CLAMD            "127.0.0.1:3310"

/* this is the max filesize in bytes, which will be checked with clamav */
#define MAX_SIZE         60000

/* user/host acl's */
#define HOSTS_DIR        "/etc/squidwall/hosts"
#define USERS_DIR        "/etc/squidwall/users"

/* content filters */
#define CFILTERS_DIR     "/etc/squidwall/cfilters"
#define CRFILTERS_DIR    "/etc/squidwall/crfilters"

/* url filters */
#define UFILTERS_DIR     "/etc/squidwall/ufilters"
#define URFILTERS_DIR    "/etc/squidwall/urfilters"

/* url forbidden */
#define REDIR_BADURL     "http://www.example.org/?network=x&reason=url&"

/* forbidden content */
#define REDIR_BADCONT    "http://www.example.org/?network=x&reason=cont&"

/* host/ip forbidden */
#define REDIR_BADHOST    "http://www.example.org/?network=x&reason=host&"

/* user forbidden */
#define REDIR_BADUSER    "http://www.example.org/?network=x&reason=user&"

/* if a virus is found, the user will be redirected to this page */
#define REDIR_VIRUSFOUND "http://www.example.org/?network=x&reason=virus&"

/* this url nerver redirected! */
#define REDIR_SAFESITE   "http://www.example.org/img/"

/* 0=disable
 * ...
 * 9=max
 */
#define DEBUG_LEVEL 0

/* regex.7 parameters */
#define SW_REGCOMP_CFLAGS (REG_EXTENDED|REG_ICASE|REG_NOSUB|REG_NEWLINE)

#endif
